/*
 *  utils.h - Some usefull things
 *  
 *  Robert Cheramy <tibob@via.ecp.fr>, 1999
 */

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef UTILS_H
#define UTILS_H

/* Boolean values */
#define TRUE  1
#define FALSE 0

/* Useful types */
#include <db.h>
#ifndef _I386_TYPES_H
typedef u_int32_t __u32;
typedef u_int16_t __u16;
typedef u_int8_t __u8;
#endif

/* Size of a filename, for strftime() */
#define FILENAMELENGTH 5000

int isonsubnet(__u32 host, __u32 address, __u32 mask);
char *timefile(char* filename);
#endif
